;;; -*- Mode:LISP; Package:USER; Base:10 -*-


(defun macsyma-losing-globals ()
  (let ((p (fs:get-pathname-host "MACSYMA-SOURCE"))
	(l nil))
    (mapatoms #'(lambda (sym)
		  (let ((f (get sym 'special)))
		    (cond ((null f))
			  ((typep f 'fs:logical-pathname)
			   (when (eq p (send f :host))
			     (format t "~&found a losing global special: ~S"
				     sym)
			     (push sym l))))))
	      "GLOBAL")
    l))